### Enumeration

# AppStream CacheFlags

#### Declaration

    flags AppStream.CacheFlags

#### Description [src]

Flags on how caching should be used.

#### Members

`AS_CACHE_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 1.0
`AS_CACHE_FLAG_USE_USER`

  Create an user-specific metadata cache.

  - Value: `1`
  - Available since: 1.0
`AS_CACHE_FLAG_USE_SYSTEM`

  Use and - if possible - update the system metadata cache.

  - Value: `2`
  - Available since: 1.0
`AS_CACHE_FLAG_NO_CLEAR`

  Don’t clear the cache when opening it.

  - Value: `4`
  - Available since: 1.0
`AS_CACHE_FLAG_REFRESH_SYSTEM`

  Refresh the system cache that is shared between applications.

  - Value: `8`
  - Available since: 1.0